package com.pqs9000.service.common;

import com.pqs9000.pojo.data.QvvrStruct;
import com.sun.jna.Library;
import com.sun.jna.Native;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年07月14日 16:17
 */
public interface JnaLibrary extends Library {
    JnaLibrary INSTANCE = (JnaLibrary)
            Native.loadLibrary(JnaLibrary.class.getResource("/harm_response.dll")
                            .getPath()
                            .substring(1),// substring(1)的原因是在Windows下获取到的路径前面会多一个斜杠，但在Linux下不会,
                    JnaLibrary.class);

    void harm_response(QvvrStruct outData);
}
